Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy > Struct Template Reference

Template class for stub argument traits of variable size IDL types. More...

`#include <Var_Size_Argument_T.h>`

List of all members.

## Public Types
typedef T * | ret_type
typedef T const & | in_type
typedef T & | inout_type
typedef T_out | out_type
typedef In_Var_Size_Argument_T< T, Insert_Policy > | in_arg_val
typedef Inout_Var_Size_Argument_T< T, Insert_Policy > | inout_arg_val
typedef Out_Var_Size_Argument_T< T, T_out, Insert_Policy > | out_arg_val
typedef Ret_Var_Size_Argument_T< T, T_var, Insert_Policy > | ret_val
typedef Var_Size_Tag | idl_tag

## Detailed Description

### template<typename T, typename T_var, typename T_out, typename Insert_Policy>
struct TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy >

Template class for stub argument traits of variable size IDL types.

## Member Typedef Documentation

template<typename T, typename T_var, typename T_out, typename Insert_Policy>
typedef Var_Size_Tag TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy >::idl_tag

template<typename T, typename T_var, typename T_out, typename Insert_Policy>
typedef In_Var_Size_Argument_T<T, Insert_Policy> TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy >::in_arg_val

template<typename T, typename T_var, typename T_out, typename Insert_Policy>
typedef T const& TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy >::in_type

template<typename T, typename T_var, typename T_out, typename Insert_Policy>
typedef Inout_Var_Size_Argument_T<T, Insert_Policy> TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy >::inout_arg_val

template<typename T, typename T_var, typename T_out, typename Insert_Policy>
typedef T& TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy >::inout_type

template<typename T, typename T_var, typename T_out, typename Insert_Policy>
typedef Out_Var_Size_Argument_T<T,T_out, Insert_Policy> TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy >::out_arg_val

template<typename T, typename T_var, typename T_out, typename Insert_Policy>
typedef T_out TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy >::out_type

template<typename T, typename T_var, typename T_out, typename Insert_Policy>
typedef T* TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy >::ret_type

template<typename T, typename T_var, typename T_out, typename Insert_Policy>
typedef Ret_Var_Size_Argument_T<T,T_var, Insert_Policy> TAO::Var_Size_Arg_Traits_T< T, T_var, T_out, Insert_Policy >::ret_val

The documentation for this struct was generated from the following file:

- Var_Size_Argument_T.h